Table of Contents

## Name

XSynchronize, XSetAfterFunction - enable or disable synchronization

## Syntax

int (*XSynchronize(Display *display, Bool onoff))();
int (*XSetAfterFunction(Display *display, int
  (*procedure)()))();

## Arguments

display
  Specifies the connection to the X server.
procedure
  Specifies the procedure to be called.
onoff
  Specifies a Boolean value that indicates whether to enable or disable synchronization.

## Description

The XSynchronize function returns the previous after function. If onoff is True, XSynchronize turns on synchronous behavior. If onoff is False, XSynchronize turns off synchronous behavior.

The specified procedure is called with only a display pointer. XSetAfterFunction returns the previous after function.

## See Also

XSetErrorHandler(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also